﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QUERY_LETTERS')
 CREATE TABLE T_BID_QUERY_LETTERS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT '0' NOT NULL,
FNAME VARCHAR(200) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
FPUBLICMAN BIGINT DEFAULT 0 NOT NULL,
FPUBLISHDATE DATETIME,
FCLARYTYPE VARCHAR(50) DEFAULT '0' NOT NULL,
FQUERYID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FBIDPROJECT BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_QUERY_LETTERS_L')
 CREATE TABLE T_BID_QUERY_LETTERS_L (
FPKID VARCHAR(50) DEFAULT '0' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT '0' NOT NULL,
FNAME VARCHAR(50) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QUERY_SECTIONS')
 CREATE TABLE T_QUERY_SECTIONS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QUERY_SECTIONS_L')
 CREATE TABLE T_QUERY_SECTIONS_L (
FPKID VARCHAR(50) DEFAULT '0' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT '0' NOT NULL,
FNAME VARCHAR(50) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QUERY_SUPPLIERENTRY')
 CREATE TABLE T_QUERY_SUPPLIERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROMBLE VARCHAR(500) DEFAULT '0' NOT NULL,
FPROMBLE_TAG NCLOB,
FQUESTCLARIFYIDBAK BIGINT DEFAULT 0 NOT NULL,
FQCBILLSTATUS1 VARCHAR(50) DEFAULT '0' NOT NULL,
FCLARIFYATTACHFILE BIGINT DEFAULT 0 NOT NULL,
FISTENDER CHAR(10) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QUERYLETTER_SECTION')
 CREATE TABLE T_QUERYLETTER_SECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSECTIONNAME VARCHAR(100) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QUERYLETTER_SUP')
 CREATE TABLE T_QUERYLETTER_SUP (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCONTENT VARCHAR(500) DEFAULT '0' NOT NULL,
FCONTENT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_MULTIQUESTCLARIFY' AND KSQL_COL_NAME ='FISLETTER')
 ALTER TABLE T_BID_MULTIQUESTCLARIFY ADD (FISLETTER CHAR(5) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_MULTIQUESTCLARIFY' AND KSQL_COL_NAME ='FPUBLICSTATIS')
 ALTER TABLE T_BID_MULTIQUESTCLARIFY ADD (FPUBLICSTATIS VARCHAR(50) DEFAULT 'B' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_MULTIQUESTCLARIFY' AND KSQL_COL_NAME ='FWAITPROMBLE')
 ALTER TABLE T_BID_MULTIQUESTCLARIFY ADD (FWAITPROMBLE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDEVALUATION' AND KSQL_COL_NAME ='FCLARIFYSTATUS')
 ALTER TABLE T_BID_BIDEVALUATION ADD (FCLARIFYSTATUS VARCHAR(50) DEFAULT 'B' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDEVALUATION' AND KSQL_COL_NAME ='FCLARIFYRECORD')
 ALTER TABLE T_BID_BIDEVALUATION ADD (FCLARIFYRECORD BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QUERY_SUPPLIERENTRY' AND KSQL_COL_NAME ='FPROMBLERECORD')
 ALTER TABLE T_QUERY_SUPPLIERENTRY ADD (FPROMBLERECORD VARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_QUESTIONCLARIFY' AND KSQL_COL_NAME ='FVISISECTION')
ALTER TABLE T_BID_QUESTIONCLARIFY ADD (FVISISECTION VARCHAR(50) DEFAULT ' ' NOT NULL );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
