﻿/**Begin D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PROJECT_A' AND KSQL_COL_NAME ='FBIDTYPE') 
 ALTER TABLE T_BID_PROJECT_A ADD (FBIDTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_DATA')
 CREATE TABLE T_BID_REPORT_DATA (
 FID BIGINT DEFAULT 0 NOT NULL,
 FBILLNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FBILLSTATUS NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FCREATORID BIGINT DEFAULT 0 NOT NULL,
 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
 FAUDITORID BIGINT DEFAULT 0 NOT NULL,
 FAUDITDATE DATETIME,
 FMODIFYTIME DATETIME,
 FCREATETIME DATETIME,
 FORGID BIGINT DEFAULT 0 NOT NULL,
 FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
 FPURTYPEID BIGINT DEFAULT 0 NOT NULL,
 FPURMODEID BIGINT DEFAULT 0 NOT NULL,
 FPURMODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FPLANPROJECTPERIOD BIGINT DEFAULT 0 NOT NULL,
 FREALPROJECTPERIOD BIGINT DEFAULT 0 NOT NULL,
 FPROJECTREACH BIGINT DEFAULT 0 NOT NULL,
 FTOLTALPLANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FTOLTALCONTROLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FTFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FTOLTALFINALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FTOTALSIGNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FSIGNSTATUS NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTECHDATE DATETIME,
 FCOMDATE DATETIME,
 FPROJECTUSERID BIGINT DEFAULT 0 NOT NULL,
 FBIDVALUATIONID BIGINT DEFAULT 0 NOT NULL,
 FPROJECTNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FDOCTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FCALCULATEDDATE DATETIME,
 FOLDPUIBLICDATE DATETIME,
 FNEWPUIBLICDATE DATETIME,
 FENTITYTYPEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FBASEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
 FENTRUSTMENTORGUNIT BIGINT DEFAULT 0 NOT NULL,
 FTOTALSECTIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALSECTIONNAME_TAG NCLOB,
 FTOTALBIDSUPPLIER NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALBIDSUPPLIER_TAG NCLOB,
 FTOTALPURPLANNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALPURPLANNAME_TAG NCLOB,
 FTOTALGDEVIATIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALGDEVIATIONNAME_TAG NCLOB,
 FTOTALCOMPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALCOMPNAME_TAG NCLOB,
 FTOTALCOMPNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALCOMPNUMBER_TAG NCLOB,
 FTOTALPURENTRYNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
 FTOTALPURENTRYNAME_TAG NCLOB,
 FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
 );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_DATA_L') 
 CREATE TABLE T_BID_REPORT_DATA_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_SECTION') 
 CREATE TABLE T_BID_REPORT_SECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSECTIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSECTPLANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECTCONTROLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECTSIGNAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGDEVIATION NVARCHAR(225) DEFAULT ' ' NOT NULL,
FPURPROJECTEVIATIONCAL NVARCHAR(225) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_SECTION_L') 
 CREATE TABLE T_BID_REPORT_SECTION_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_SUPPLIER') 
 CREATE TABLE T_BID_REPORT_SUPPLIER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURENTRYCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPURPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCONTROLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANAMOUNT DECIMAL(23,2) DEFAULT 0 NOT NULL,
FCTRLAMTEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANAMOUNTCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALAUDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURPROJECTPLAN BIGINT DEFAULT 0 NOT NULL,
FPROGRAMCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCQPROGCONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_SUPPLIER_L') 
 CREATE TABLE T_BID_REPORT_SUPPLIER_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_REPOT_DECISIONSECTION') 
 CREATE TABLE T_REPOT_DECISIONSECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSECTFINALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSECTSIGNSTATUS NVARCHAR(225) DEFAULT ' ' NOT NULL,
FSECTSIGNMENOY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_REPOT_DECISIONSECTION_L') 
 CREATE TABLE T_REPOT_DECISIONSECTION_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FDESECTIONNAME NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECISTIONDETAENTRY') 
 CREATE TABLE T_BID_DECISTIONDETAENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFINALPRICE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FSIGNMENOY DECIMAL(23,2) DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FISRECOMMENDED NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_PLANREC') 
 CREATE TABLE T_BID_REPORT_PLANREC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSECTIONNAME1 NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_PLANREC_L') 
 CREATE TABLE T_BID_REPORT_PLANREC_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME1 NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_PLANANDRECEN') 
 CREATE TABLE T_BID_REPORT_PLANANDRECEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRACTTYPE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTGURLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REPORT_DATA_A') 
 CREATE TABLE T_BID_REPORT_DATA_A (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERINVITATIOTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDOCUMENTTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOTTOMMAKETIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUBLISHTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLARIFICAITONTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDYTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALUATIONTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSWTPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPENTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECISIONTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECISIONSTATUS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIDSTATUS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSETUPDATE DATETIME,
FDECISIONDATE DATETIME
);



/**End D:\PDM差异生成\PDM_UPGRADE\PDM1\BID_table.sql **/
