﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_BIDSECTION' AND KSQL_COL_NAME ='FSRCENTRYID') 
 ALTER TABLE T_BID_BIDOPEN_BIDSECTION ADD (FSRCENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_SUPPLIER' AND KSQL_COL_NAME ='FISREBACKBID') 
 ALTER TABLE T_BID_BIDOPEN_SUPPLIER ADD (FISREBACKBID CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_SUPPLIER' AND KSQL_COL_NAME ='FSRCSUBENTRYID') 
 ALTER TABLE T_BID_BIDOPEN_SUPPLIER ADD (FSRCSUBENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FOPENTIME') 
 ALTER TABLE T_BID_BIDOPEN ADD (FOPENTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FTECHOPENTIME') 
 ALTER TABLE T_BID_BIDOPEN ADD (FTECHOPENTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FBUSIOPENTIME') 
 ALTER TABLE T_BID_BIDOPEN ADD (FBUSIOPENTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FREBACKTYPE') 
 ALTER TABLE T_BID_BIDOPEN ADD (FREBACKTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN' AND KSQL_COL_NAME ='FISFROMREBACK') 
 ALTER TABLE T_BID_BIDOPEN ADD (FISFROMREBACK CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDOPEN_A') 
 CREATE TABLE T_BID_BIDOPEN_A (
FID BIGINT DEFAULT 0 NOT NULL,
FLBIDOPENTIME DATETIME,
FLTECHOPENBIDTIME DATETIME,
FLBUSOPENBIDTIME DATETIME,
FREBACKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDOPEN_L') 
 CREATE TABLE T_BID_BIDOPEN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIDPROJECTNAME NVARCHAR(2000) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_REBACKBID') 
 CREATE TABLE T_BID_REBACKBID (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(500) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME,
FOPENENDTIME DATETIME,
FREASON VARCHAR(2000) DEFAULT ' ',
FROUNDS VARCHAR(30) DEFAULT ' ' NOT NULL,
FROUND INT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FCREATEOPENID BIGINT DEFAULT 0 NOT NULL,
FBIDPUBLISHID BIGINT DEFAULT 0 NOT NULL,
FEVALTIONINFO VARCHAR(1000) DEFAULT ' ',
FONLINEEVALINFO VARCHAR(1000) DEFAULT ' ',
FISONLINEEVAL CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBIDSCTION') 
 CREATE TABLE T_BID_BACKBIDSCTION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCSECTIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBIDSCTION_L') 
 CREATE TABLE T_BID_BACKBIDSCTION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBIDSUPPENTRY') 
 CREATE TABLE T_BID_BACKBIDSUPPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCONTACTPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTENDER CHAR(1) DEFAULT ' ' NOT NULL,
FTENDERDATE DATETIME,
FISINVALID CHAR(1) DEFAULT ' ' NOT NULL,
FWORKDAY INT DEFAULT 0 NOT NULL,
FTECHFILE INT DEFAULT 0 NOT NULL,
FCOMFILE INT DEFAULT 0 NOT NULL,
FTENFILE INT DEFAULT 0 NOT NULL,
FOTHERFILE INT DEFAULT 0 NOT NULL,
FTENDERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTVAT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURDETAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBIDSUPPENTRY_L') 
 CREATE TABLE T_BID_BACKBIDSUPPENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUPPLIERCONTACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVALIDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMANAGER NVARCHAR(20) DEFAULT ' ' NOT NULL,
FILLUSTRATION NVARCHAR(800) DEFAULT ' ',
FCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDEVALUATION_L') 
 CREATE TABLE T_BID_BIDEVALUATION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIDPROJECTNAME NVARCHAR(500) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ONLINEBIDEVAL_L') 
 CREATE TABLE T_BID_ONLINEBIDEVAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIDPROJECTNAME NVARCHAR(500) DEFAULT ' '
);



/**End D:\PDM\PDM_UPGRADE\PDM1\BID_table.sql **/
