﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_MAKE_FBILLNO') CREATE INDEX IDX_BID_BOTTOM_MAKE_FBILLNO ON T_BID_BOTTOM_MAKE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_MAKE_L_FID') CREATE INDEX IDX_BID_BOTTOM_MAKE_L_FID ON T_BID_BOTTOM_MAKE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_PRO_FENTRYID') CREATE INDEX IDX_BID_BOTTOM_PRO_FENTRYID ON T_BID_BOTTOM_PROJECTENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_PRO_L_FDETAILID') CREATE INDEX IDX_BID_BOTTOM_PRO_L_FDETAILID ON T_BID_BOTTOM_PROJECTENTRY_L ( FDETAILID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_SEC_ENTRYID') CREATE INDEX IDX_BID_BOTTOM_SEC_ENTRYID ON T_BID_BOTTOM_SECTIONENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTTOM_SEC_L_ENTRYID') CREATE INDEX IDX_BID_BOTTOM_SEC_L_ENTRYID ON T_BID_BOTTOM_SECTIONENTRY_L ( FENTRYID );

 EXEC P_ALTERPK 'PK_T_BID_DEC_BOTTOMSECTION', 'T_BID_DEC_BOTTOMSECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTSECTION_FID') CREATE INDEX IDX_BID_BOTSECTION_FID ON T_BID_DEC_BOTTOMSECTION ( FID );


 EXEC P_ALTERPK 'PK_T_BID_DEC_BOTTOMSECTION_L', 'T_BID_DEC_BOTTOMSECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTSECTION_L_FENID') CREATE INDEX IDX_BID_BOTSECTION_L_FENID ON T_BID_DEC_BOTTOMSECTION_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_OPEN_BOTTOMENTRY', 'T_BID_OPEN_BOTTOMENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTENTRY_FENTRYID') CREATE INDEX IDX_BID_BOTENTRY_FENTRYID ON T_BID_OPEN_BOTTOMENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_OPEN_BOTTOMENTRY_L', 'T_BID_OPEN_BOTTOMENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BOTENTRY_L_FDE') CREATE INDEX IDX_BID_BOTENTRY_L_FDE ON T_BID_OPEN_BOTTOMENTRY_L ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_BID_BIDDEC_BOTTOMENTRY', 'T_BID_BIDDEC_BOTTOMENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_OPEN_BOTEN_FENT') CREATE INDEX IDX_BID_OPEN_BOTEN_FENT ON T_BID_BIDDEC_BOTTOMENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_BIDDEC_BOTTOMENTRY_L', 'T_BID_BIDDEC_BOTTOMENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_OPEN_BOTRY_L_FDE') CREATE INDEX IDX_BID_OPEN_BOTRY_L_FDE ON T_BID_BIDDEC_BOTTOMENTRY_L ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_BID_OPEN_BOTTOMSECTION', 'T_BID_OPEN_BOTTOMSECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_DEC_BOTSECT_FID') CREATE INDEX IDX_BID_DEC_BOTSECT_FID ON T_BID_OPEN_BOTTOMSECTION ( FID );


 EXEC P_ALTERPK 'PK_T_BID_OPEN_BOTTOMSECTION_L', 'T_BID_OPEN_BOTTOMSECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_DEC_BOTSEC_L_FENID') CREATE INDEX IDX_BID_DEC_BOTSEC_L_FENID ON T_BID_OPEN_BOTTOMSECTION_L ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
