﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_BID_BUSTALK', 'T_BID_BUSTALK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_FBILLNO') CREATE INDEX IDX_BID_BS_FBILLNO ON T_BID_BUSTALK ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_FILE', 'T_BID_BUSTALK_FILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_FILE_FENTRYID') CREATE INDEX IDX_BID_BS_FILE_FENTRYID ON T_BID_BUSTALK_FILE ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_FILE_L', 'T_BID_BUSTALK_FILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_FILE_L_FID') CREATE INDEX IDX_BID_BS_FILE_L_FID ON T_BID_BUSTALK_FILE_L ( FID );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_SECTION', 'T_BID_BUSTALK_SECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_SECTION_FSEQ') CREATE INDEX IDX_BID_BS_SECTION_FSEQ ON T_BID_BUSTALK_SECTION ( FSEQ );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_SUPPLIERENT', 'T_BID_BUSTALK_SUPPLIERENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_SERENT_FENTRYID') CREATE INDEX IDX_BID_BS_SERENT_FENTRYID ON T_BID_BUSTALK_SUPPLIERENT ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_SUPPLIERENT_L', 'T_BID_BUSTALK_SUPPLIERENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_SERENT_L_FDETAILID') CREATE INDEX IDX_BID_BS_SERENT_L_FDETAILID ON T_BID_BUSTALK_SUPPLIERENT_L ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_BID_BUSTALK_SECTION_L', 'T_BID_BUSTALK_SECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_BS_SECTION_L_FENTRYID') CREATE INDEX IDX_BID_BS_SECTION_L_FENTRYID ON T_BID_BUSTALK_SECTION_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_BID_QCLARIFYSECTION', 'T_BID_QCLARIFYSECTION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QCLARIFYSECTION_FSEQ') CREATE INDEX IDX_BID_QCLARIFYSECTION_FSEQ ON T_BID_QCLARIFYSECTION ( FSEQ );


 EXEC P_ALTERPK 'PK_BID_QCLARIFYSECTION_L', 'T_BID_QCLARIFYSECTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QCLARIFYSECTION_L_ID') CREATE INDEX IDX_BID_QCLARIFYSECTION_L_ID ON T_BID_QCLARIFYSECTION_L ( FENTRYID );


 EXEC P_ALTERPK 'PK_BID_QCLARIFYSUPDETAIL', 'T_BID_QCLARIFYSUPDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QCLARIFYDETAIL_FEID') CREATE INDEX IDX_BID_QCLARIFYDETAIL_FEID ON T_BID_QCLARIFYSUPDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_BID_QCLARIFYSUPDETAIL_L', 'T_BID_QCLARIFYSUPDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QCLARIFYDETAIL_L') CREATE INDEX IDX_BID_QCLARIFYDETAIL_L ON T_BID_QCLARIFYSUPDETAIL_L ( FDETAILID );


 EXEC P_ALTERPK 'PK_BID_QUESTIONCLARIFY', 'T_BID_QUESTIONCLARIFY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QUESTIONCLARIFY_FNO') CREATE INDEX IDX_BID_QUESTIONCLARIFY_FNO ON T_BID_QUESTIONCLARIFY ( FBILLNO );


 EXEC P_ALTERPK 'PK_BID_QUESTIONCLARIFY_L', 'T_BID_QUESTIONCLARIFY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BID_QUESTIONCLARIFY_L') CREATE INDEX IDX_BID_QUESTIONCLARIFY_L ON T_BID_QUESTIONCLARIFY_L ( FCLARIFYTHEME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_constraint.sql **/
