﻿/**正方伙伴 商务谈判改造PDM **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALK_OPERATIONIP') 
 CREATE TABLE T_BID_BUSTALK_OPERATIONIP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FIP VARCHAR(500) DEFAULT ' ' NOT NULL,
FBUSTALKID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FISOFFER') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FISOFFER CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FIPADDRESS') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FIPADDRESS VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FISIPREPEAT') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FISIPREPEAT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FOFFERPERSON') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FOFFERPERSON BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FOFFERRECORD') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FOFFERRECORD VARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FOTHERFILE') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FOTHERFILE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FOFFEREXPLAIN') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FOFFEREXPLAIN VARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK_SUPPLIERENT' AND KSQL_COL_NAME ='FOFFERDATE') 
 ALTER TABLE T_BID_BUSTALK_SUPPLIERENT ADD (FOFFERDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK' AND KSQL_COL_NAME ='FOPENONLINESYNERGY') 
 ALTER TABLE T_BID_BUSTALK ADD (FOPENONLINESYNERGY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BUSTALK' AND KSQL_COL_NAME ='FOFFERSTOPTIME') 
 ALTER TABLE T_BID_BUSTALK ADD (FOFFERSTOPTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_PURPLAN' AND KSQL_COL_NAME ='FPURCHASEMODEL') 
 ALTER TABLE T_BID_PURPLAN ADD (FPURCHASEMODEL VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_NEGOTIATE_INVITE') 
 CREATE TABLE T_BID_NEGOTIATE_INVITE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNEGOTIATETEMPLATE BIGINT DEFAULT 0 NOT NULL,
FOFFERSTOPTIME DATETIME,
FPUBLISHSTATUS VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBLICMAN BIGINT DEFAULT 0 NOT NULL,
FPUBLISHDATE DATETIME,
FBIDPROJECT BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FBUSTALKID BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_NEGOTIATE_SECTION') 
 CREATE TABLE T_BID_NEGOTIATE_SECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FSECTIONNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_NEGOTIATE_SUPPLIER') 
 CREATE TABLE T_BID_NEGOTIATE_SUPPLIER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FCONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_NEGOTIATE_INVITE_L') 
 CREATE TABLE T_BID_NEGOTIATE_INVITE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);




