﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_STRATEGICAGREELIST') 
 CREATE TABLE T_BID_STRATEGICAGREELIST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FRESOURCENAMEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDYNPRICEDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMATERIALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFREIGHTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSTALLPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_STRATEGICAGREEAPPLY') 
 CREATE TABLE T_BID_STRATEGICAGREEAPPLY (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_STRATEGICAGREECOND') 
 CREATE TABLE T_BID_STRATEGICAGREECOND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYCONDITION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPAYTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FPARTYAID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FPARTYAID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FPURTYPEID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FPURTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FPURPROJECTID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FPURPROJECTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FISSETFREIGHTBYREGION') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FISSETFREIGHTBYREGION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FISINCLUDESUB') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FISINCLUDESUB CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FVERSIONNUM') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FVERSIONNUM NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FVERSIONNAME') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FVERSIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FPREVERSIONID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FPREVERSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FROOTVERSIONID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FROOTVERSIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FISLATESTVERSION') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FISLATESTVERSION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FCONTENTS') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FCONTENTS NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FISBASEVERSION') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FISBASEVERSION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FDECISIONID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FDECISIONID VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FORIGINALID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FORIGINALID VARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FCURRENCYID') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_STRATEGICAGREEMENT' AND KSQL_COL_NAME ='FISRENEWAL') 
 ALTER TABLE T_BID_STRATEGICAGREEMENT ADD (FISRENEWAL CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
