﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBID_SUPDETAIL') 
 CREATE TABLE T_BID_BACKBID_SUPDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BACKBID_SUPDETAIL_L') 
 CREATE TABLE T_BID_BACKBID_SUPDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(50),
FMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDOPEN_SUPDETAIL') 
 CREATE TABLE T_BID_BIDOPEN_SUPDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDOPEN_SUPDETAIL_L') 
 CREATE TABLE T_BID_BIDOPEN_SUPDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(50),
FMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECIBACKDETAIL') 
 CREATE TABLE T_BID_DECIBACKDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECIBACKDETAIL_L') 
 CREATE TABLE T_BID_DECIBACKDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(50),
FMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECIFINALDETAIL') 
 CREATE TABLE T_BID_DECIFINALDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLPURSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FLPURENTRYPROJECT BIGINT DEFAULT 0 NOT NULL,
FLMATERIALID BIGINT DEFAULT 0 NOT NULL,
FLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECIFINALDETAIL_L') 
 CREATE TABLE T_BID_DECIFINALDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLPURENTRYCONTENT VARCHAR(50),
FLMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PROJECTDETAIL') 
 CREATE TABLE T_BID_PROJECTDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPURPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCEPTTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINCLUTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PROJECTDETAIL_L') 
 CREATE TABLE T_BID_PROJECTDETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPURENTRYCONTENT VARCHAR(50),
FMATERIALDES VARCHAR(50)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_DECISUPPLIERDETAIL' AND KSQL_COL_NAME IN ('FFINALTAXRATE')) 
 ALTER TABLE T_BID_DECISUPPLIERDETAIL ADD (FFINALTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_DECISUPPLIERDETAIL' AND KSQL_COL_NAME IN ('FTENDERTAXRATE')) 
 ALTER TABLE T_BID_DECISUPPLIERDETAIL ADD (FTENDERTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_DECISUPPLIERDETAIL' AND KSQL_COL_NAME IN ('FCOMMENTDETAIL')) 
 ALTER TABLE T_BID_DECISUPPLIERDETAIL ADD (FCOMMENTDETAIL VARCHAR(50) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BACKBID_SUPPLIER' AND KSQL_COL_NAME IN ('FPURDETAIL')) 
 ALTER TABLE T_BID_BACKBID_SUPPLIER ADD (FPURDETAIL VARCHAR(50) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_BIDOPEN_SUPPLIER' AND KSQL_COL_NAME IN ('FPURDETAIL')) 
 ALTER TABLE T_BID_BIDOPEN_SUPPLIER ADD (FPURDETAIL BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BID_SUPPINVISUPPDETAIL_L' AND KSQL_COL_NAME IN ('FEXTRACTCOMMENT')) 
 ALTER TABLE T_BID_SUPPINVISUPPDETAIL_L ADD (FEXTRACTCOMMENT NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BID_table.sql **/
